The officially official Devuan Forum!

You are not logged in.

#1 2018-07-31 04:45:10

Eeqmcsq
Member
Registered: 2017-09-19
Posts: 10  

Latest devuan jessie update causing authentication problems

Here's the log of today's update from /var/log/apt/term.log. Several packages are related to a "policy kit", which seems related to the authentication problems reported below.

Log started: 2018-07-30  20:41:59
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 154568 files and directories currently installed.)
Preparing to unpack .../libssl1.0.0_1.0.1t-1+deb8u9_amd64.deb ...
Unpacking libssl1.0.0:amd64 (1.0.1t-1+deb8u9) over (1.0.1t-1+deb8u8) ...
Preparing to unpack .../libidn11_1.29-1+deb8u3_amd64.deb ...
Unpacking libidn11:amd64 (1.29-1+deb8u3) over (1.29-1+deb8u2) ...
Preparing to unpack .../libpolkit-gobject-1-0_0.105-15~deb8u3_amd64.deb ...
Unpacking libpolkit-gobject-1-0:amd64 (0.105-15~deb8u3) over (0.105-9+devuan1) ...
Preparing to unpack .../libpolkit-agent-1-0_0.105-15~deb8u3_amd64.deb ...
Unpacking libpolkit-agent-1-0:amd64 (0.105-15~deb8u3) over (0.105-9+devuan1) ...
Preparing to unpack .../libpolkit-backend-1-0_0.105-15~deb8u3_amd64.deb ...
Unpacking libpolkit-backend-1-0:amd64 (0.105-15~deb8u3) over (0.105-9+devuan1) ...
Preparing to unpack .../busybox_1%3a1.22.0-9+deb8u2_amd64.deb ...
Unpacking busybox (1:1.22.0-9+deb8u2) over (1:1.22.0-9+deb8u1) ...
Preparing to unpack .../openssl_1.0.1t-1+deb8u9_amd64.deb ...
Unpacking openssl (1.0.1t-1+deb8u9) over (1.0.1t-1+deb8u8) ...
Processing triggers for man-db (2.7.0.2-5) ...
Setting up libssl1.0.0:amd64 (1.0.1t-1+deb8u9) ...
Setting up libidn11:amd64 (1.29-1+deb8u3) ...
Setting up libpolkit-gobject-1-0:amd64 (0.105-15~deb8u3) ...
Setting up libpolkit-agent-1-0:amd64 (0.105-15~deb8u3) ...
Setting up libpolkit-backend-1-0:amd64 (0.105-15~deb8u3) ...
Setting up busybox (1:1.22.0-9+deb8u2) ...
Setting up openssl (1.0.1t-1+deb8u9) ...
Processing triggers for libc-bin (2.19-18+deb8u10) ...
Log ended: 2018-07-30  20:42:03

Three issues found so far:

1. The package "policykit-1" cannot be updated. The new version "0.105-15~deb8u3" cannot be updated because of "Broken dependencies". The Dependencies tab says the upgrade breaks gdm3 (<3.8.4-7~). My installed version is 0.105-9+devuan1.

On a side note, on Saturday Jul 28, I see that Debian put out a security patch for "policykit-1, 0.105-15~deb8u3". That explains where these changes are coming from.

https://lists.debian.org/debian-lts-ann … 00042.html

2. In my MATE desktop, I cannot launch System -> Adminstration -> Synaptic Package Manager. Nothing happens.

From the cmd line, I see a "wrong number of arguments" reported (I changed my real name in the output to John Doe):

~$ synaptic-pkexec 
==== AUTHENTICATING FOR com.ubuntu.pkexec.synaptic ===
Authentication is required to run the Synaptic Package Manager
Authenticating as: John Doe,,, (jdoe)
polkit-agent-helper-1: wrong number of arguments. This incident has been logged.
==== AUTHENTICATION FAILED ===
Error executing command as another user: Not authorized

This incident has been reported.

I can work around this problem by running the command as root:

~$ gksudo synaptic-pkexec

3. I also can't shut down the PC from the MATE shutdown button. And I can't change the PC's date time - the Time Settings button is grayed out. I suspect this is all related to the authentication failures like the Synaptic Package Manager.

I can work around this problem from the cmd line:

~$ sudo shutdown -h now

Any ideas on how to fix this?

Offline

#2 2018-07-31 05:17:52

golinux
Administrator
Registered: 2016-11-25
Posts: 1,371  

Re: Latest devuan jessie update causing authentication problems

Make sure you have the latest sources.  auto.mirror is deprecated and  deb.devuan.org has replaced pkgmaster.

Offline

#3 2018-07-31 10:52:01

nixer
Member
From: North Carolina, USA
Registered: 2016-11-30
Posts: 48  

Re: Latest devuan jessie update causing authentication problems

Make sure you have the latest sources.  auto.mirror is deprecated and  deb.devuan.org has replaced pkgmaster.

I knew that this was true starting with ASCII but is it also the preferred sources for jessie also?  I got hit with this same problem.

Devuan.org ( https://devuan.org/os/etc/apt/sources.list ) still shows:

Devuan 1.0.0 Jessie (oldstable)

# /etc/apt/sources.list

deb     http://auto.mirror.devuan.org/merged jessie main
deb-src http://auto.mirror.devuan.org/merged jessie main

Last edited by nixer (2018-07-31 11:29:57)

Offline

#4 2018-07-31 14:02:56

golinux
Administrator
Registered: 2016-11-25
Posts: 1,371  

Re: Latest devuan jessie update causing authentication problems

nixer wrote:

Make sure you have the latest sources.  auto.mirror is deprecated and  deb.devuan.org has replaced pkgmaster.

I knew that this was true starting with ASCII but is it also the preferred sources for jessie also?  I got hit with this same problem.

Devuan.org ( https://devuan.org/os/etc/apt/sources.list ) still shows:

Devuan 1.0.0 Jessie (oldstable)

# /etc/apt/sources.list

deb     http://auto.mirror.devuan.org/merged jessie main
deb-src http://auto.mirror.devuan.org/merged jessie main

That is because auto.mirror is still default on the install isos.  This is at the very top of the page:

/etc/apt/sources.list

IMPORTANT NOTE: auto.mirror is now deprecated and will be decommissioned. Please make sure you have the latest devuan-keyring package with apt-get install devuan-keyring and then point your /etc/apt/sources.list to deb.devuan.org.

Maybe that should be expanded a bit.

Offline

#5 2018-07-31 15:22:44

VH
Member
Registered: 2018-07-31
Posts: 12  

Re: Latest devuan jessie update causing authentication problems

I am having similar problem on my PC. 

After yesterday's update,

1. I cannot adjust screen brightness with Power Manager Plugin.  However, I can adjust the brightness using xbacklight in terminal. 

2. I cannot mount external HDD and USB from GUI.  However, I can still mount / unmount in terminal.

3. I cannot start bleachbit and gparted from GUI.  However, if I start bleachbit and gparted from terminal, I can still run them. 

I followed the instructions on:
https://devuan.org/os/etc/apt/sources.list

I updated sources.list as shown below:

# jessie main
deb http://deb.devuan.org/merged jessie main
deb-src http://deb.devuan.org/merged jessie main

# jessie-security
deb http://deb.devuan.org/merged/ jessie-security main non-free
deb-src http://deb.devuan.org/merged/ jessie-security main non-free

# jessie-updates
deb http://deb.devuan.org/merged/ jessie-updates main non-free
deb-src http://deb.devuan.org/merged/ jessie-updates main non-free


Then I ran:
$ sudo apt-get install devuan-keyring
$ sudo aptitude update
$ sudo aptitude safe-upgrade

I still have the same problems.

Thanks in advance.


Edit:
I meant gparted, not gedit. 

Also in XFCE, when I try to shut down from GUI, the shutdown menu only shows logout.  The other options are grayed out.

Last edited by VH (2018-08-01 22:07:43)

Offline

#6 2018-07-31 17:04:10

fsmithred
Administrator
Registered: 2016-11-25
Posts: 928  

Re: Latest devuan jessie update causing authentication problems

The problem is that the newer version of policykit-1 has not been devuanized yet.

$ apt-cache policy policykit-1
policykit-1:
  Installed: 0.105-9+devuan1
  Candidate: 0.105-15~deb8u3

You might be able to fix it by reverting to the older versions of policykit-1 and associated libs.

dpkg -i /var/cache/apt/archives/<filename>

If you don't have a copy of the packages locally, you can download them from the repo and install with 'dpkg -i <filename>'
Select the correct version and architecture of the files in this directory. (0.105-9+devuan1)
http://pkgmaster.devuan.org/devuan/pool … licykit-1/


Edit: I filed a bug report against policykit-1 in jessie.

Offline

#7 2018-07-31 18:33:49

Eeqmcsq
Member
Registered: 2017-09-19
Posts: 10  

Re: Latest devuan jessie update causing authentication problems

I'm in the middle of mirroring 147.3 GB from the new URL at deb.devuan.org, which will take a few days on my slow home connection, so I haven't tested if this will fix my problems.

I found a workaround: Downgrade libpolkit-agent-1-0, libpolkit-backend-1-0, and libpolkit-gobject-1-0 from 0.105-15~deb8u3 to 0.105-9+devuan1.

- Launch Synaptic Package Manager.

gksudo synaptic-pkexec

- Find each of the 3 packages and press CTRL+E, or from the menu: Package -> Force Version.

- Select 0.105-9+devuan1.

This fixed the 3 problems I reported in my original post.

Offline

#8 2018-07-31 20:24:12

golinux
Administrator
Registered: 2016-11-25
Posts: 1,371  

Re: Latest devuan jessie update causing authentication problems

Just curious . . . Did you set up your mirror according to these instructions?

Offline

#9 2018-08-01 03:47:50

Eeqmcsq
Member
Registered: 2017-09-19
Posts: 10  

Re: Latest devuan jessie update causing authentication problems

Oh I didn't know there were instructions for mirroring the Devuan repositories. I used the apt-mirror script, which had previously worked for mirroring Ubuntu 10.04 repositories, and has also been working for Devuan Jessie.

Offline

#10 2018-08-01 05:28:03

golinux
Administrator
Registered: 2016-11-25
Posts: 1,371  

Re: Latest devuan jessie update causing authentication problems

And do the redirects to the Debian repos work properly?  You might find something helpful in this thread if you run into trouble.

Offline

#11 2018-08-01 13:48:06

VH
Member
Registered: 2018-07-31
Posts: 12  

Re: Latest devuan jessie update causing authentication problems

fsmithred,

fsmithred wrote:

The problem is that the newer version of policykit-1 has not been devuanized yet.

$ apt-cache policy policykit-1
policykit-1:
  Installed: 0.105-9+devuan1
  Candidate: 0.105-15~deb8u3

You might be able to fix it by reverting to the older version.

dpkg -i /var/cache/apt/archives/<filename>

If you don't have a copy of the package locally, you can download it from the repo and install it with 'dpkg -i <filename>'
amd64
http://packages.devuan.org/devuan/pool/ … _amd64.deb

i386
http://packages.devuan.org/devuan/pool/ … 1_i386.deb


Edit: I filed a bug report against policykit-1 in jessie.

I followed the above instruction but I still have the same problem.  What should I do?  Should I just wait for the bug fix?

Thanks.

Offline

#12 2018-08-01 14:49:05

fsmithred
Administrator
Registered: 2016-11-25
Posts: 928  

Re: Latest devuan jessie update causing authentication problems

VH,

You need to downgrade the associated libraries, too. You can find those packages in the repo or do it as described here -
https://dev1galaxy.org/viewtopic.php?pid=11042#p11042

Note: you should probably use pkgmaster instead of packages in the links I provided. I'll go back and change the links I posted.

Edit: I previously supplied the link for one of the libraries instead of the main package.

If you're downloading the packages, select the correct version and architecture of the files in this directory. (0.105-9+devuan1)
http://pkgmaster.devuan.org/devuan/pool … licykit-1/

Offline

#13 2018-08-01 16:02:51

Eeqmcsq
Member
Registered: 2017-09-19
Posts: 10  

Re: Latest devuan jessie update causing authentication problems

golinux - I don't think I'm doing any kind of redirecting for the way my devuan mirror is set up. I followed these apt-mirror instructions, and to expose the deb.devuan.org from my local mirror server to my devuan jessie PC, I think I just need to change my /var/www/merged symlink to point to my local mirror of the deb.devuan.org packages, as shown in these instructions.

Offline

#14 2018-08-02 16:57:40

VH
Member
Registered: 2018-07-31
Posts: 12  

Re: Latest devuan jessie update causing authentication problems

By the way,

Is there any way to know when this bug is fixed so that I can unhold these packages and upgrade?

Thanks.

Offline

#15 2018-08-02 20:39:45

golinux
Administrator
Registered: 2016-11-25
Posts: 1,371  

Re: Latest devuan jessie update causing authentication problems

I just posted a note to the packaging ninjas to please repackage policykit-1 ASAP to remove the systemd dependencies.

Offline

#16 2018-08-02 23:29:35

golinux
Administrator
Registered: 2016-11-25
Posts: 1,371  

Re: Latest devuan jessie update causing authentication problems

Centurion_Dan has repackaged policykit-1 and it is now available for testing at jessie-proposed-security main. He suggested using deb http://pkgmaster.devuan.org/devuan but I don't see why deb.devuan.org wouldn't work as well.  But maybe KatolaZ needs to set up that new repo on the deb.devuan mirror.  For those who don't know . . . auto.mirror is now deprecated.

Offline

#17 2018-08-04 19:44:08

Eeqmcsq
Member
Registered: 2017-09-19
Posts: 10  

Re: Latest devuan jessie update causing authentication problems

All of my original problems have been resolved. I think the repackaging of policykit-1 fixed it. Please pass a thank-you to Centurion_Dan for updating policykit-1.

Offline

#18 2018-08-07 10:17:49

VH
Member
Registered: 2018-07-31
Posts: 12  

Re: Latest devuan jessie update causing authentication problems

I think I still have policykit-1 problem.

I am using xfce and when I click on Menu > System > Printer Settings, the add button (add printer button) is inactive. 

I don't know how to add printer from terminal but I can look for it.  Meanwhile, please let the devuan team to know about this since I don't know how to report a bug. 

Thanks.

Offline

#19 2018-08-07 11:47:38

MiyoLinux
Member
Registered: 2016-12-05
Posts: 755  

Re: Latest devuan jessie update causing authentication problems

VH wrote:

I think I still have policykit-1 problem.

I am using xfce and when I click on Menu > System > Printer Settings, the add button (add printer button) is inactive. 

I don't know how to add printer from terminal but I can look for it.  Meanwhile, please let the devuan team to know about this since I don't know how to report a bug. 

Thanks.

Not sure if this is the correct application (I don't use xfce), but you can try either...

sudo system-config-printer

...if you belong to sudoers. Otherwise, use su, and just enter...

system-config-printer

You may also try...

gksu system-config-printer

I have been Devuanated, and my practice in the art of Devuanism shall continue until my Devuanization is complete. Until then, I will strive to continue in my understanding of Devuanchology, Devuanprocity, and Devuanivity.

Veni, vidi, vici vdevuaned. I came, I saw, I Devuaned. wink

Offline

#20 2018-08-07 13:45:46

golinux
Administrator
Registered: 2016-11-25
Posts: 1,371  

Re: Latest devuan jessie update causing authentication problems

Do you have cups installed?

Offline

#21 2018-08-08 21:35:32

VH
Member
Registered: 2018-07-31
Posts: 12  

Re: Latest devuan jessie update causing authentication problems

Thanks MiyoLinux.

golinux,

Yes I have cups installed.  It's like other previous problems I mentioned.  If I try to add printer from terminal using sudo, it works, but if I try it from GUI, it doesn't. 

"aptitude search cups"  gave me this:

p   apcupsd                         - APC UPS Power Management (daemon)         
p   apcupsd-cgi                     - APC UPS Power Management (web interface) 
p   apcupsd-doc                     - APC UPS Power Management (documentation/ex
p   bluez-cups                      - Bluetooth printer driver for CUPS         
i A cups                            - Common UNIX Printing System(tm) - PPD/driv
p   cups-backend-bjnp               - printer backend for Canon BJNP protocol   
i A cups-browsed                    - OpenPrinting CUPS Filters - cups-browsed 
i A cups-bsd                        - Common UNIX Printing System(tm) - BSD comm
i A cups-client                     - Common UNIX Printing System(tm) - client p
i A cups-common                     - Common UNIX Printing System(tm) - common f
i A cups-core-drivers               - Common UNIX Printing System(tm) - PPD-less
i A cups-daemon                     - Common UNIX Printing System(tm) - daemon 
p   cups-dbg                        - Common UNIX Printing System(tm) - debuggin
p   cups-driver-gutenprint          - transitional dummy package for gutenprint
i A cups-filters                    - OpenPrinting CUPS Filters - Main Package 
i A cups-filters-core-drivers       - OpenPrinting CUPS Filters - PPD-less print
p   cups-pdf                        - PDF writer backend for CUPS (dummy transit
i A cups-pk-helper                  - PolicyKit helper to configure cups with fi
i A cups-ppdc                       - Common UNIX Printing System(tm) - PPD mani
i A cups-server-common              - Common UNIX Printing System(tm) - server c
p   cups-tea4cups                   - Swiss Army's knife of advanced CUPS admini
v   ghostscript-cups                -                                           
i A libcups2                        - Common UNIX Printing System(tm) - Core lib
p   libcups2-dev                    - Common UNIX Printing System(tm) - Developm
i A libcupscgi1                     - Common UNIX Printing System(tm) - CGI libr
p   libcupscgi1-dev                 - Common UNIX Printing System(tm) - Developm
p   libcupsfilters-dev              - OpenPrinting CUPS Filters - Development fi
i A libcupsfilters1                 - OpenPrinting CUPS Filters - Shared library
i A libcupsimage2                   - Common UNIX Printing System(tm) - Raster i
p   libcupsimage2-dev               - Common UNIX Printing System(tm) - Developm
i A libcupsmime1                    - Common UNIX Printing System(tm) - MIME lib
p   libcupsmime1-dev                - Common UNIX Printing System(tm) - Developm
i A libcupsppdc1                    - Common UNIX Printing System(tm) - PPD mani
p   libcupsppdc1-dev                - Common UNIX Printing System(tm) - Developm
p   libnet-cups-perl                - Perl module for printing through CUPS     
p   printer-driver-cups-pdf         - printer driver for PDF writing via CUPS   
i A printer-driver-hpcups           - HP Linux Printing and Imaging - CUPS Raste
i A python-cups                     - Python bindings for CUPS                 
i A python-cupshelpers              - Python utility modules around the CUPS pri
v   python2.7-cups                  -

By the way, how do I make this result look like terminal - I mean white character in black background like MiyoLinux and others did in their postings.

Thanks.

Last edited by VH (2018-08-08 21:47:36)

Offline

#22 2018-08-08 22:48:24

golinux
Administrator
Registered: 2016-11-25
Posts: 1,371  

Re: Latest devuan jessie update causing authentication problems

VH wrote:

By the way, how do I make this result look like terminal - I mean white character in black background like MiyoLinux and others did in their postings.

Above every message box there is a line of BBCode options in this order:
underline, bold. italic, inline code, delete, insert, emphasis, color, header, code (that's the one you want), quote, url, and list options.  Highlight the section you want to format and click on the option you want to use.  Done.

Offline

#23 2018-10-08 23:00:04

VH
Member
Registered: 2018-07-31
Posts: 12  

Re: Latest devuan jessie update causing authentication problems

I still have to do 

  gksu --sudo-mode bleachbit

  in the terminal then enter password in order to start bleachbit, instead of clicking the icon in Desktop and enter the password. 

Same with adding printer.  I have to dor

gksu --sudo-mode system-config-printe

in the terminal instead of clicking the icon then enter password. 

Is this suppose to be normal?

Also, do any of these issues have to do with using pkgmaster.deuvan.org instead of deb.devuan.org in sources.list?   This issue is discussed in this thread -->  https://dev1galaxy.org/viewtopic.php?pid=12147#p12147

Last edited by VH (2018-10-08 23:06:18)

Offline

#24 2018-10-08 23:59:41

ralph.ronnquist
Administrator
From: Clifton Hill, Victoria, AUS
Registered: 2016-11-30
Posts: 276  

Re: Latest devuan jessie update causing authentication problems

do any of these issues have to do with using pkgmaster.deuvan.org instead of deb.devuan.org

No. deb.devuan.org is resolved into any one of a number of actual hosts (IP addresses):

% host deb.devuan.org
deb.devuan.org is an alias for deb.roundr.devuan.org.
deb.roundr.devuan.org has address 37.220.36.58
deb.roundr.devuan.org has address 5.196.38.18
deb.roundr.devuan.org has address 95.216.15.86
deb.roundr.devuan.org has address 195.85.215.180
deb.roundr.devuan.org has address 185.203.112.44
deb.roundr.devuan.org has address 31.220.0.151
deb.roundr.devuan.org has address 130.225.254.116
deb.roundr.devuan.org has address 141.24.220.40
deb.roundr.devuan.org has address 200.236.31.1
deb.roundr.devuan.org has address 91.121.196.103
deb.roundr.devuan.org has address 37.187.111.86
deb.roundr.devuan.org has address 46.4.50.2
deb.roundr.devuan.org has address 185.26.197.8
deb.roundr.devuan.org has address 185.183.113.129

and all of those are mirror hosts provided by good and friendly individuals and organisations; they are all rsync mirrors of the ultimate source of pkgmaster.devuan.org. If there are differences in using the one or the other, this system is set up to only have temporary, transitional such issues, that occur when something is updated (in pkgmaster.devuan.org, then shortly thereafter mirrored to the deb.devuan.org hosts).

Offline

#25 2018-10-13 12:06:35

nings
Member
Registered: 2018-10-13
Posts: 1  

Re: Latest devuan jessie update causing authentication problems

Same problem with shutdown button (= logout) and unable to elevate privilege under mate sad

libpolkit-agent-1-0:
  Installed: 0.105-18+devuan2.11
  Candidate: 0.105-18+devuan2.11

libpolkit-backend-1-0:
  Installed: 0.105-18+devuan2.11
  Candidate: 0.105-18+devuan2.11

libpolkit-gobject-1-0:
  Installed: 0.105-18+devuan2.11
  Candidate: 0.105-18+devuan2.11


What can be done ?
All sources are correct with deb.devuan.org

Offline

Board footer